"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stringifyCSSSheet = function (sheet) {
    return sheet.rules.map(stringifyCSSRule).join("\n");
};
var stringifyCSSRule = function (rule) {
    switch (rule.kind) {
        case "Style":
            return stringifyStyleRule(rule);
        case "Page":
        case "Supports":
        case "Media":
            return stringifyConditionRule(rule);
        case "FontFace":
            return stringifyFontFaceRule(rule);
    }
};
var stringifyConditionRule = function (_a) {
    var name = _a.name, condition_text = _a.condition_text, rules = _a.rules;
    return "@" + name + " " + condition_text + " {\n    " + rules.map(stringifyStyleRule).join("\n") + "\n  }";
};
var stringifyFontFaceRule = function (_a) {
    var style = _a.style;
    return "@font-face {\n    " + style.map(stringifyStyle).join("\n") + "\n  }";
};
var stringifyStyleRule = function (_a) {
    var selector_text = _a.selector_text, style = _a.style;
    return selector_text + " {\n    " + style.map(stringifyStyle).join("\n") + "\n  }";
};
var stringifyStyle = function (_a) {
    var name = _a.name, value = _a.value;
    return name + ":" + value + ";";
};
